from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XSSOContext(XInterface, Protocol):
    def getSource(self) -> str: ...
    def getTarget(self) -> str: ...
    def getMechanism(self) -> str: ...
    def getMutual(self) -> bool: ...
